summaryrefslogtreecommitdiffstats
path: root/system/xbindkeys
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 15:18:49 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:18:49 +0200
commit16bae291cb96e7553fd2fe2d9cb742160f45a558 (patch)
tree0a607e8735d686771f0957a657d18b080b178000 /system/xbindkeys
parent98e61e520af879423d3381ab7c977db4004bb193 (diff)
downloadslackbuilds-16bae291cb96e7553fd2fe2d9cb742160f45a558.tar.gz
slackbuilds-16bae291cb96e7553fd2fe2d9cb742160f45a558.tar.xz
system/xbindkeys: Initial import
Diffstat (limited to 'system/xbindkeys')
-rw-r--r--system/xbindkeys/README6
-rw-r--r--system/xbindkeys/slack-desc11
-rw-r--r--system/xbindkeys/xbindkeys.SlackBuild55
-rw-r--r--system/xbindkeys/xbindkeys.info8
4 files changed, 80 insertions, 0 deletions
diff --git a/system/xbindkeys/README b/system/xbindkeys/README
new file mode 100644
index 0000000000..c18908007b
--- /dev/null
+++ b/system/xbindkeys/README
@@ -0,0 +1,6 @@
+xbindkeys is a program that allows you to launch shell commands
+with your keyboard or your mouse under X Windows. It links commands
+to keys or mouse buttons, using a configuration file. It's
+independant of the window manager and can capture all keyboard keys
+(ex: Power, Wake...).
+
diff --git a/system/xbindkeys/slack-desc b/system/xbindkeys/slack-desc
new file mode 100644
index 0000000000..450560a2c1
--- /dev/null
+++ b/system/xbindkeys/slack-desc
@@ -0,0 +1,11 @@
+xbindkeys: XBindKeys (xbindkeys)
+xbindkeys:
+xbindkeys: xbindkeys is a program that allows you to launch shell commands
+xbindkeys: with your keyboard or your mouse under X Windows. It links commands
+xbindkeys: to keys or mouse buttons, using a configuration file. It's
+xbindkeys: independant of the window manager and can capture all keyboard keys
+xbindkeys: (ex: Power, Wake...).
+xbindkeys:
+xbindkeys: Homepage: http://hocwp.free.fr/xbindkeys/xbindkeys.html
+xbindkeys:
+xbindkeys:
diff --git a/system/xbindkeys/xbindkeys.SlackBuild b/system/xbindkeys/xbindkeys.SlackBuild
new file mode 100644
index 0000000000..7e9d13225c
--- /dev/null
+++ b/system/xbindkeys/xbindkeys.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for xbindkeys
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified by the SlackBuilds.org project
+
+PRGNAM=xbindkeys
+VERSION=1.8.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $PKG $TMP $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO xbindkeysrc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xbindkeys/xbindkeys.info b/system/xbindkeys/xbindkeys.info
new file mode 100644
index 0000000000..0269af5a53
--- /dev/null
+++ b/system/xbindkeys/xbindkeys.info
@@ -0,0 +1,8 @@
+PRGNAM="xbindkeys"
+VERSION="1.8.1"
+HOMEPAGE="http://hocwp.free.fr/xbindkeys/xbindkeys.html"
+DOWNLOAD="http://hocwp.free.fr/xbindkeys/xbindkeys-1.8.1.tar.gz"
+MD5SUM="ea89c2def63d57297ed7bbade8696203"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"